/*******************************************************************************
Copyright © 2023 Sebastian Roith <https://www.roith-unterrichtet.de>

Licensed under CC BY 4.0. To view a copy of this license, visit http://creativecommons.org/licenses/by/4.0/
*******************************************************************************/

window.CODINGTASK = {
	"heading": "Auftrag",
	"html": "<p>Die Klasse <code>FACH</code> soll nur folgende Attribute enthalten:</p><dl><dt><code>name</code></dt><dd>Eine Zeichenkette, die eine Bezeichnung des Faches speichert (z. B. „Informatik“, „Mathematik“, …)</dd><dt><code>istHauptfach</code></dt><dd>Ob es sich um ein Hauptfach handelt (Wahrheitswert)</dd><dt><code>abJgst</code></dt><dd>Jahrgangsstufe, ab der dieses Fach unterrichtet wird (Ganzzahl)</dd></dl><p>Schreibe die Klassendefinition!</p>",
	"canReset": false,
	"code": "// Hier Klassendefinition einfügen\n",
	"labelSubmit": "📥 Klassendefinition überprüfen",
	"checkType": "json",
	"checkData": [
		{
			"part": "class",
			"name": "FACH",
			"extends": "Object",
			"implements": [],
			"abstract": false,
			"final": false,
			"static": false,
			"content": [
				{
					"part": "attribute",
					"name": "name",
					"type": "String",
					"dimensions": 0,
					"static": false
				},
				{
					"part": "attribute",
					"name": "istHauptfach",
					"type": "boolean",
					"dimensions": 0,
					"static": false
				},
				{
					"part": "attribute",
					"name": "abJgst",
					"type": [
						"int",
						"byte",
						"long",
						"short",
						"char"
					],
					"dimensions": 0,
					"static": false
				}
			]
		}
	]
}
